Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v1
Class VerseType

    java.lang.Object
      be.fgov.ehealth.dics.core.v1.BaseType
          be.fgov.ehealth.dics.core.v1.VerseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:06+02:00",
               comments="JAXB RI v2.2.6")
    public class VerseType

extends BaseType
implements Serializable

Java class for VerseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="VerseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v1}BaseType">
           <sequence>
             <element name="VerseSeq" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="VerseNum" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="VerseSeqParent" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="VerseLevel" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="VerseType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="CheckBoxInd" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="MinCheckNum" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="AndClauseNum" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="Text" type="{urn:be:fgov:ehealth:dics:core:v1}TextType" maxOccurs="unbounded"/>
             <element name="RequestType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AgreementTerm" type="{urn:be:fgov:ehealth:dics:core:v1}AgreementTermType" minOccurs="0"/>
             <element name="MaxPackageNumber" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="LegalReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ModificationDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="AgreementYearMax" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="AgreementRenewalMax" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="SexRestricted" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="MinimumAgeAuthorized" type="{urn:be:fgov:ehealth:dics:core:v1}MinimumAgeAuthorizedType" minOccurs="0"/>
             <element name="MaximumAgeAuthorized" type="{urn:be:fgov:ehealth:dics:core:v1}MaximumAgeAuthorizedType" minOccurs="0"/>
             <element name="MaximumContentQuantity" type="{urn:be:fgov:ehealth:dics:core:v1}MaximumContentType" minOccurs="0"/>
             <element name="MaximumStrengthQuantity" type="{urn:be:fgov:ehealth:dics:core:v1}MaximumStrengthType" minOccurs="0"/>
             <element name="MaximumDurationQuantity" type="{urn:be:fgov:ehealth:dics:core:v1}MaximumDurationType" minOccurs="0"/>
             <element name="OtherAddedDocumentInd" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="PurchasingAdvisorQualListId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AddedDocumentInd" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`VerseType()`

Method Summary
`BigInteger` | `getAgreementRenewalMax()` Gets the value of the agreementRenewalMax property.
`AgreementTermType` | `getAgreementTerm()` Gets the value of the agreementTerm property.
`BigInteger` | `getAgreementYearMax()` Gets the value of the agreementYearMax property.
`BigInteger` | `getAndClauseNum()` Gets the value of the andClauseNum property.
`String` | `getLegalReference()` Gets the value of the legalReference property.
`MaximumAgeAuthorizedType` | `getMaximumAgeAuthorized()` Gets the value of the maximumAgeAuthorized property.
`MaximumContentType` | `getMaximumContentQuantity()` Gets the value of the maximumContentQuantity property.
`MaximumDurationType` | `getMaximumDurationQuantity()` Gets the value of the maximumDurationQuantity property.
`MaximumStrengthType` | `getMaximumStrengthQuantity()` Gets the value of the maximumStrengthQuantity property.
`BigInteger` | `getMaxPackageNumber()` Gets the value of the maxPackageNumber property.
`BigInteger` | `getMinCheckNum()` Gets the value of the minCheckNum property.
`MinimumAgeAuthorizedType` | `getMinimumAgeAuthorized()` Gets the value of the minimumAgeAuthorized property.
`org.joda.time.DateTime` | `getModificationDate()` Gets the value of the modificationDate property.
`String` | `getPurchasingAdvisorQualListId()` Gets the value of the purchasingAdvisorQualListId property.
`String` | `getRequestType()` Gets the value of the requestType property.
`List<TextType>` | `getTexts()` Gets the value of the texts property.
`BigInteger` | `getVerseLevel()` Gets the value of the verseLevel property.
`BigInteger` | `getVerseNum()` Gets the value of the verseNum property.
`BigInteger` | `getVerseSeq()` Gets the value of the verseSeq property.
`BigInteger` | `getVerseSeqParent()` Gets the value of the verseSeqParent property.
`String` | `getVerseType()` Gets the value of the verseType property.
`boolean` | `isAddedDocumentInd()` Gets the value of the addedDocumentInd property.
`boolean` | `isCheckBoxInd()` Gets the value of the checkBoxInd property.
`Boolean` | `isOtherAddedDocumentInd()` Gets the value of the otherAddedDocumentInd property.
`Boolean` | `isSexRestricted()` Gets the value of the sexRestricted property.
`void` | `setAddedDocumentInd(boolean value)` Sets the value of the addedDocumentInd property.
`void` | `setAgreementRenewalMax(BigInteger value)` Sets the value of the agreementRenewalMax property.
`void` | `setAgreementTerm(AgreementTermType value)` Sets the value of the agreementTerm property.
`void` | `setAgreementYearMax(BigInteger value)` Sets the value of the agreementYearMax property.
`void` | `setAndClauseNum(BigInteger value)` Sets the value of the andClauseNum property.
`void` | `setCheckBoxInd(boolean value)` Sets the value of the checkBoxInd property.
`void` | `setLegalReference(String value)` Sets the value of the legalReference property.
`void` | `setMaximumAgeAuthorized(MaximumAgeAuthorizedType value)` Sets the value of the maximumAgeAuthorized property.
`void` | `setMaximumContentQuantity(MaximumContentType value)` Sets the value of the maximumContentQuantity property.
`void` | `setMaximumDurationQuantity(MaximumDurationType value)` Sets the value of the maximumDurationQuantity property.
`void` | `setMaximumStrengthQuantity(MaximumStrengthType value)` Sets the value of the maximumStrengthQuantity property.
`void` | `setMaxPackageNumber(BigInteger value)` Sets the value of the maxPackageNumber property.
`void` | `setMinCheckNum(BigInteger value)` Sets the value of the minCheckNum property.
`void` | `setMinimumAgeAuthorized(MinimumAgeAuthorizedType value)` Sets the value of the minimumAgeAuthorized property.
`void` | `setModificationDate(org.joda.time.DateTime value)` Sets the value of the modificationDate property.
`void` | `setOtherAddedDocumentInd(Boolean value)` Sets the value of the otherAddedDocumentInd property.
`void` | `setPurchasingAdvisorQualListId(String value)` Sets the value of the purchasingAdvisorQualListId property.
`void` | `setRequestType(String value)` Sets the value of the requestType property.
`void` | `setSexRestricted(Boolean value)` Sets the value of the sexRestricted property.
`void` | `setVerseLevel(BigInteger value)` Sets the value of the verseLevel property.
`void` | `setVerseNum(BigInteger value)` Sets the value of the verseNum property.
`void` | `setVerseSeq(BigInteger value)` Sets the value of the verseSeq property.
`void` | `setVerseSeqParent(BigInteger value)` Sets the value of the verseSeqParent property.
`void` | `setVerseType(String value)` Sets the value of the verseType property.

Methods inherited from class be.fgov.ehealth.dics.core.v1.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerseType

    public VerseType()

Method Detail

### getVerseSeq

    public BigInteger getVerseSeq()

  Gets the value of the verseSeq property.

  Returns:
    possible object is `BigInteger`

### setVerseSeq

    public void setVerseSeq(BigInteger value)

  Sets the value of the verseSeq property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getVerseNum

    public BigInteger getVerseNum()

  Gets the value of the verseNum property.

  Returns:
    possible object is `BigInteger`

### setVerseNum

    public void setVerseNum(BigInteger value)

  Sets the value of the verseNum property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getVerseSeqParent

    public BigInteger getVerseSeqParent()

  Gets the value of the verseSeqParent property.

  Returns:
    possible object is `BigInteger`

### setVerseSeqParent

    public void setVerseSeqParent(BigInteger value)

  Sets the value of the verseSeqParent property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getVerseLevel

    public BigInteger getVerseLevel()

  Gets the value of the verseLevel property.

  Returns:
    possible object is `BigInteger`

### setVerseLevel

    public void setVerseLevel(BigInteger value)

  Sets the value of the verseLevel property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getVerseType

    public String getVerseType()

  Gets the value of the verseType property.

  Returns:
    possible object is `String`

### setVerseType

    public void setVerseType(String value)

  Sets the value of the verseType property.

  Parameters:
    `value` - allowed object is `String`

### isCheckBoxInd

    public boolean isCheckBoxInd()

  Gets the value of the checkBoxInd property.

### setCheckBoxInd

    public void setCheckBoxInd(boolean value)

  Sets the value of the checkBoxInd property.

### getMinCheckNum

    public BigInteger getMinCheckNum()

  Gets the value of the minCheckNum property.

  Returns:
    possible object is `BigInteger`

### setMinCheckNum

    public void setMinCheckNum(BigInteger value)

  Sets the value of the minCheckNum property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getAndClauseNum

    public BigInteger getAndClauseNum()

  Gets the value of the andClauseNum property.

  Returns:
    possible object is `BigInteger`

### setAndClauseNum

    public void setAndClauseNum(BigInteger value)

  Sets the value of the andClauseNum property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getTexts

    public List<TextType> getTexts()

  Gets the value of the texts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the texts property.

  For example, to add a new item, do as follows:

          getTexts().add(newItem);

  Objects of the following type(s) are allowed in the list `TextType`

### getRequestType

    public String getRequestType()

  Gets the value of the requestType property.

  Returns:
    possible object is `String`

### setRequestType

    public void setRequestType(String value)

  Sets the value of the requestType property.

  Parameters:
    `value` - allowed object is `String`

### getAgreementTerm

    public AgreementTermType getAgreementTerm()

  Gets the value of the agreementTerm property.

  Returns:
    possible object is `AgreementTermType`

### setAgreementTerm

    public void setAgreementTerm(AgreementTermType value)

  Sets the value of the agreementTerm property.

  Parameters:
    `value` - allowed object is `AgreementTermType`

### getMaxPackageNumber

    public BigInteger getMaxPackageNumber()

  Gets the value of the maxPackageNumber property.

  Returns:
    possible object is `BigInteger`

### setMaxPackageNumber

    public void setMaxPackageNumber(BigInteger value)

  Sets the value of the maxPackageNumber property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getLegalReference

    public String getLegalReference()

  Gets the value of the legalReference property.

  Returns:
    possible object is `String`

### setLegalReference

    public void setLegalReference(String value)

  Sets the value of the legalReference property.

  Parameters:
    `value` - allowed object is `String`

### getModificationDate

    public org.joda.time.DateTime getModificationDate()

  Gets the value of the modificationDate property.

  Returns:
    possible object is `String`

### setModificationDate

    public void setModificationDate(org.joda.time.DateTime value)

  Sets the value of the modificationDate property.

  Parameters:
    `value` - allowed object is `String`

### getAgreementYearMax

    public BigInteger getAgreementYearMax()

  Gets the value of the agreementYearMax property.

  Returns:
    possible object is `BigInteger`

### setAgreementYearMax

    public void setAgreementYearMax(BigInteger value)

  Sets the value of the agreementYearMax property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getAgreementRenewalMax

    public BigInteger getAgreementRenewalMax()

  Gets the value of the agreementRenewalMax property.

  Returns:
    possible object is `BigInteger`

### setAgreementRenewalMax

    public void setAgreementRenewalMax(BigInteger value)

  Sets the value of the agreementRenewalMax property.

  Parameters:
    `value` - allowed object is `BigInteger`

### isSexRestricted

    public Boolean isSexRestricted()

  Gets the value of the sexRestricted property.

  Returns:
    possible object is `Boolean`

### setSexRestricted

    public void setSexRestricted(Boolean value)

  Sets the value of the sexRestricted property.

  Parameters:
    `value` - allowed object is `Boolean`

### getMinimumAgeAuthorized

    public MinimumAgeAuthorizedType getMinimumAgeAuthorized()

  Gets the value of the minimumAgeAuthorized property.

  Returns:
    possible object is `MinimumAgeAuthorizedType`

### setMinimumAgeAuthorized

    public void setMinimumAgeAuthorized(MinimumAgeAuthorizedType value)

  Sets the value of the minimumAgeAuthorized property.

  Parameters:
    `value` - allowed object is `MinimumAgeAuthorizedType`

### getMaximumAgeAuthorized

    public MaximumAgeAuthorizedType getMaximumAgeAuthorized()

  Gets the value of the maximumAgeAuthorized property.

  Returns:
    possible object is `MaximumAgeAuthorizedType`

### setMaximumAgeAuthorized

    public void setMaximumAgeAuthorized(MaximumAgeAuthorizedType value)

  Sets the value of the maximumAgeAuthorized property.

  Parameters:
    `value` - allowed object is `MaximumAgeAuthorizedType`

### getMaximumContentQuantity

    public MaximumContentType getMaximumContentQuantity()

  Gets the value of the maximumContentQuantity property.

  Returns:
    possible object is `MaximumContentType`

### setMaximumContentQuantity

    public void setMaximumContentQuantity(MaximumContentType value)

  Sets the value of the maximumContentQuantity property.

  Parameters:
    `value` - allowed object is `MaximumContentType`

### getMaximumStrengthQuantity

    public MaximumStrengthType getMaximumStrengthQuantity()

  Gets the value of the maximumStrengthQuantity property.

  Returns:
    possible object is `MaximumStrengthType`

### setMaximumStrengthQuantity

    public void setMaximumStrengthQuantity(MaximumStrengthType value)

  Sets the value of the maximumStrengthQuantity property.

  Parameters:
    `value` - allowed object is `MaximumStrengthType`

### getMaximumDurationQuantity

    public MaximumDurationType getMaximumDurationQuantity()

  Gets the value of the maximumDurationQuantity property.

  Returns:
    possible object is `MaximumDurationType`

### setMaximumDurationQuantity

    public void setMaximumDurationQuantity(MaximumDurationType value)

  Sets the value of the maximumDurationQuantity property.

  Parameters:
    `value` - allowed object is `MaximumDurationType`

### isOtherAddedDocumentInd

    public Boolean isOtherAddedDocumentInd()

  Gets the value of the otherAddedDocumentInd property.

  Returns:
    possible object is `Boolean`

### setOtherAddedDocumentInd

    public void setOtherAddedDocumentInd(Boolean value)

  Sets the value of the otherAddedDocumentInd property.

  Parameters:
    `value` - allowed object is `Boolean`

### getPurchasingAdvisorQualListId

    public String getPurchasingAdvisorQualListId()

  Gets the value of the purchasingAdvisorQualListId property.

  Returns:
    possible object is `String`

### setPurchasingAdvisorQualListId

    public void setPurchasingAdvisorQualListId(String value)

  Sets the value of the purchasingAdvisorQualListId property.

  Parameters:
    `value` - allowed object is `String`

### isAddedDocumentInd

    public boolean isAddedDocumentInd()

  Gets the value of the addedDocumentInd property.

### setAddedDocumentInd

    public void setAddedDocumentInd(boolean value)

  Sets the value of the addedDocumentInd property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.